For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update campaign approval state

Approve campaigns within a specified namespace. Campaign approval may take longer due to GCS rate-limiting during backend processing.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Approve campaigns within a specified namespace. Campaign approval may take longer due to GCS rate-limiting during backend processing."

Update campaign approval state

Update campaign approval state

post

Approve campaigns within a specified namespace. Campaign approval may take longer due to GCS rate-limiting during backend processing.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

Provides the details of the updated campaigns after bulk approval.

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

messagestringOptional

Status message providing additional details about the bulk operation.

statusstring · enumOptionalPossible values:
post/v3/campaigns/bulk/approve
POST /v3/campaigns/bulk/approve HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 138

{
  "campaigns": [
    {
      "approval": {
        "rejectionReason": "text",
        "state": "APPROVAL_STATE_PENDING"
      },
      "campaignType": "CAMPAIGN_TYPE_BANNER",
      "id": "text"
    }
  ]
}
{
  "bulkId": "text",
  "message": "text",
  "status": "BULK_OPERATION_SUBMITTED"
}